Bug 449985 - colorize files with capabilities
colorize files with capabilities
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 449984
  Show dependency treegraph
 
Reported: 2008-06-04 12:05 EDT by Peter Vrabec
Modified: 2008-07-31 09:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: coreutils-6.12-7.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 10:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2008-06-04 12:05:04 EDT
Description of problem:
'ls' command should colorize the files with capabilities like it does for setuid
programs.

#setcap cap_net_bind_service=ep test.log
#getcap test.log
test.log = cap_net_bind_service+ep
#ls
Comment 1 Ondrej Vasik 2008-07-15 09:37:11 EDT
Patch done by Kamil Dudka, proposed upstream, waiting for reaction. You could
monitor it on the thread
http://lists.gnu.org/archive/html/bug-coreutils/2008-07/msg00099.html
Comment 2 Habig, Alec 2008-07-31 09:35:40 EDT
This bug has caused a regression which renders tcsh unusable.

With the pushing of coreutils-6.10-28.fc9.i386, instances of tcsh now fail early
in their init scripting (before getting to the user ~/.tcshrc file) with the error:

  Unknown colorls variable `ca'.

So at the moment all of my command-line work has been broken badly by this
cosmetic update.

Backing out to coreutils-6.10-27.fc9.i386 fixes the problem.

This does not happen with bash.  Can one of the proponents of this bug please
try firing up tcsh to see what didn't get correspondingly updated somewhere in
the /etc area?  
Comment 3 Kamil Dudka 2008-07-31 09:50:20 EDT
Thanks for your report.

This bug is already reported (including patch) against tcsh as #457342. There 
is also a workaround - clearing LS_COLORS variable should help to start tcsh.

I am sorry for inconveniences.

Note You need to log in before you can comment on or make changes to this bug.